Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class IndexedElement

    java.lang.Object
      org.exist.soap.IndexedElement

All Implemented Interfaces:
  java.io.Serializable

public class IndexedElement
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IndexedElement()`
`IndexedElement(java.lang.String localName, java.lang.String namespaceURI, java.lang.String prefix, int occurences)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getLocalName()` Gets the localName value for this IndexedElement.
`java.lang.String` | `getNamespaceURI()` Gets the namespaceURI value for this IndexedElement.
`int` | `getOccurences()` Gets the occurences value for this IndexedElement.
`java.lang.String` | `getPrefix()` Gets the prefix value for this IndexedElement.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setLocalName(java.lang.String localName)` Sets the localName value for this IndexedElement.
`void` | `setNamespaceURI(java.lang.String namespaceURI)` Sets the namespaceURI value for this IndexedElement.
`void` | `setOccurences(int occurences)` Sets the occurences value for this IndexedElement.
`void` | `setPrefix(java.lang.String prefix)` Sets the prefix value for this IndexedElement.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedElement

    public IndexedElement()

### IndexedElement

    public IndexedElement(java.lang.String localName,
                          java.lang.String namespaceURI,
                          java.lang.String prefix,
                          int occurences)

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Gets the localName value for this IndexedElement.

  Returns:
    localName

### setLocalName

    public void setLocalName(java.lang.String localName)

  Sets the localName value for this IndexedElement.

  Parameters:
    `localName` -

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Gets the namespaceURI value for this IndexedElement.

  Returns:
    namespaceURI

### setNamespaceURI

    public void setNamespaceURI(java.lang.String namespaceURI)

  Sets the namespaceURI value for this IndexedElement.

  Parameters:
    `namespaceURI` -

### getPrefix

    public java.lang.String getPrefix()

  Gets the prefix value for this IndexedElement.

  Returns:
    prefix

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Sets the prefix value for this IndexedElement.

  Parameters:
    `prefix` -

### getOccurences

    public int getOccurences()

  Gets the occurences value for this IndexedElement.

  Returns:
    occurences

### setOccurences

    public void setOccurences(int occurences)

  Sets the occurences value for this IndexedElement.

  Parameters:
    `occurences` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.